> ## Documentation Index
> Fetch the complete documentation index at: https://kb.talostrading.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Available asset alerts

> Returns a list of available asset alerts along with their descriptions, thresholds and constituents.



## OpenAPI

````yaml /coinmetrics/openapi/coinmetrics.yaml get /catalog/asset-alerts
openapi: 3.0.2
info:
  title: Coin Metrics API v4
  description: >-
    [Coin Metrics Homepage](https://coinmetrics.io/)<br/> [API Backward
    Compatibility
    Policy](https://docs.coinmetrics.io/access-our-data/api#backward-compatibility)<br/>
    [Python API
    Client](https://coinmetrics.github.io/api-client-python/site/index.html)<br/><br/>

    HTTP API root endpoint URL is `https://api.coinmetrics.io/v4`. Coin
    Metrics&apos; paid product.<br/> WebSocket API root endpoint is
    `wss://api.coinmetrics.io/v4`. Coin Metrics&apos; paid product.<br/><br/>
    The Community HTTP API root endpoint URL is
    `https://community-api.coinmetrics.io/v4`. API key is not required when
    accessing community endpoints. Available to the community under the
    [Creative Commons](https://creativecommons.org/licenses/by-nc/4.0/) license.

    # Authentication

    <!-- ReDoc-Inject: <security-definitions> -->

    # Response headers

    Note that Coin Metrics API responses have a `CF-RAY` HTTP header e.g.
    `88a6ec1d2f930774-IAD` which can be used for diagnostic purposes. When
    raising Support requests, please ensure to provide the value of this
    header. 
  termsOfService: https://coinmetrics.io/api/terms
  contact:
    name: Coin Metrics Support
    url: https://coinmetrics.io/support/
    email: support@coinmetrics.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 4.0.0
servers:
  - url: https://api.coinmetrics.io/v4
  - url: wss://api.coinmetrics.io/v4
  - url: https://community-api.coinmetrics.io/v4
security: []
tags:
  - name: Rate limits
    description: >-
      To ensure the quality of Coin Metrics services, API is subject to rate
      limiting.<br/> <table> <tr><th>Rate Limit Plan</th><th>REST API: Requests
      per Second (sliding window)</th><th>REST API: Download Speed</th><th>REST
      API: Max Parallel Requests</th><th>WebSocket API: Max Parallel
      Connections</th></tr> <tr><td>Community</td><td>10 requests per 6 seconds
      per IP address</td><td>Reduced speed</td><td>10</td><td>N/A</td></tr>
      <tr><td>Trial</td><td>10 requests per 6 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> <tr><td>Default (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Standard
      speed</td><td>10</td><td>200</td></tr> <tr><td>Download (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> </table> <br/> All PRO keys by
      default get the "default" rate limits. To download historical data at max
      speed, you need to switch to the "download" plan. <br/> <br/> The paid and
      community versions of the API have a limit of 10 parallel REST API
      requests. After this limit is reached, further parallel requests will be
      queued, so performance will be slower.<br/> <br/> If you reach the
      request-per-second limit, API starts to return `429 Too Many Requests`
      HTTP response status.<br/> API also provides `X-RateLimit-*` response
      headers formatted according to
      https://tools.ietf.org/html/draft-polli-ratelimit-headers-03.<br/>
      Additionally, the API provides the `X-RateLimit-Plan` header which
      indicates the current rate limiting plan. This header may have values:
      `default`, `trial`, `download`, or `community`.
    x-cm-gitbook:
      foldIntoInfo: true
  - name: Reference Data
    description: Metadata information of entities supported by Coin Metrics.
    x-cm-gitbook:
      tag: Meta Data
      icon: book
  - name: Catalog
    x-displayName: Catalog (deprecated)
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full
      catalog](#tag/Full-catalog) endpoints for the full list of supported by
      Coin Metrics data. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Catalog v2
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full catalog
      V2](#tag/Full-catalog-v2) endpoints for the full list of supported by Coin
      Metrics data.
    x-cm-gitbook:
      icon: list-check
  - name: Full catalog
    x-displayName: Full catalog (deprecated)
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog) endpoint. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Full catalog v2
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog-v2) endpoint.
    x-cm-gitbook:
      tag: Catalog v2
      icon: layer-group
  - name: Timeseries
    description: >-
      Endpoints for fetching metrics, market data, indexes and other time series
      data.
    x-cm-gitbook:
      icon: chart-line
      renameOperationsTo: Timeseries REST
  - name: Timeseries stream
    description: >-
      WebSocket endpoints for getting a real-time stream of metrics, market
      data, indexes and other time series data.
    x-cm-gitbook:
      tag: Timeseries
      icon: wifi
  - name: Taxonomy
    description: Taxonomy endpoints
    x-cm-gitbook:
      icon: sitemap
  - name: Taxonomy Metadata
    description: Taxonomy Metadata endpoints
    x-cm-gitbook:
      tag: Taxonomy
      icon: tags
  - name: Profile
    description: Profile endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: id-card
  - name: List of blockchain entities v2
    description: Endpoints for fetching lists of blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: list
  - name: Full blockchain entities v2
    description: Endpoints for fetching full blockchain entities.
    x-cm-gitbook:
      tag: List of blockchain entities v2
      icon: database
  - name: Jobs
    description: Jobs API endpoints
    x-cm-gitbook:
      tag: ATLAS
      icon: briefcase
  - name: Blockchain Explorer Job
    description: Endpoints for creating async jobs for blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: clock
  - name: Blockchain Explorer Job Results
    description: Schema definitions of results of Blockchain Explorer Job endpoints.
    x-cm-gitbook:
      foldInto: Blockchain Explorer Job
  - name: Chain Monitor tools
    description: Endpoints for working with chain monitor data.
    x-cm-gitbook:
      tag: ATLAS
      icon: wrench
  - name: Security Master
    description: Security Master endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: shield
  - name: Constituent Snapshots
    description: Endpoints for getting the snapshots of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: camera
  - name: Constituent Timeframes
    description: Endpoints for getting the timeframes of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: calendar
  - name: Blockchain Metadata
    description: Blockchain metadata endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: database
  - name: Meta Data
    x-cm-gitbook:
      icon: database
  - name: ATLAS
    x-cm-gitbook:
      icon: map
  - name: Timeseries REST
    x-cm-gitbook:
      tag: Timeseries
      icon: table
paths:
  /catalog/asset-alerts:
    servers:
      - url: https://api.coinmetrics.io/v4
    get:
      tags:
        - Catalog
      summary: Available asset alerts
      description: >-
        Returns a list of available asset alerts along with their descriptions,
        thresholds and constituents.
      operationId: getCatalogAssetAlertRules
      parameters:
        - $ref: '#/components/parameters/CatalogAssetId'
        - $ref: '#/components/parameters/CatalogAssetAlertId'
        - $ref: '#/components/parameters/Pretty'
      responses:
        '200':
          $ref: '#/components/responses/AssetAlertRules'
        '400':
          $ref: '#/components/responses/AssetNotFound'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/AssetAlertNotFound'
        '414':
          $ref: '#/components/responses/UriTooLong'
      deprecated: true
      security:
        - api_key: []
      x-codeSamples:
        - lang: Shell
          label: Shell
          source: >
            curl --compressed
            "https://api.coinmetrics.io/v4/catalog/asset-alerts?pretty=true&api_key=<your_key>"
        - lang: Python
          label: Python
          source: >
            import requests

            response =
            requests.get('https://api.coinmetrics.io/v4/catalog/asset-alerts?pretty=true&api_key=<your_key>').json()

            print(response)
components:
  parameters:
    CatalogAssetId:
      description: >-
        Comma separated list of assets. By default all assets are returned.
        Supports the following formats: `<asset>` - Coin Metrics asset ticker
        (e.g., `btc`), `<namespace>:<symbol>` - External provider symbol (e.g.,
        `talos:BTC`), `<namespace>:by-id:<id>` - External provider numeric ID
        (e.g., `talos:by-id:24`). The `namespace` identifies the external data
        provider (e.g., `talos`). The `by-id` selector indicates lookup by a
        provider-specific numeric ID rather than symbol.
      in: query
      name: assets
      schema:
        type: array
        items:
          type: string
      explode: false
    CatalogAssetAlertId:
      description: >-
        Comma separated list of asset alert names. By default all asset alerts
        are returned.
      in: query
      name: alerts
      schema:
        type: array
        items:
          type: string
      explode: false
    Pretty:
      description: Human-readable formatting of JSON responses.
      in: query
      name: pretty
      schema:
        type: boolean
        default: false
  responses:
    AssetAlertRules:
      description: List of asset alerts.
      content:
        application/json:
          example:
            data:
              - asset: btc
                name: block_count_empty_6b_hi
                conditions:
                  - description: The last 4 blocks were empty.
                    threshold: '4'
                    constituents:
                      - block_count_empty_6b
          schema:
            $ref: '#/components/schemas/AssetAlertRulesResponse'
    AssetNotFound:
      content:
        application/json:
          example:
            error:
              type: bad_parameter
              message: Bad parameter 'assets'. Value 'sdvwbtc' is not supported.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
      description: Asset not found.
    Unauthorized:
      description: Requested resource requires authorization.
      content:
        application/json:
          examples:
            unauthorized:
              summary: Unauthorized error response.
              value:
                error:
                  type: unauthorized
                  message: Requested resource requires authorization.
            wrong_credentials:
              summary: Wrong credentials error response.
              value:
                error:
                  type: wrong_credentials
                  message: Supplied credentials are not valid.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    AssetAlertNotFound:
      content:
        application/json:
          example:
            error:
              type: bad_parameter
              message: >-
                Bad parameter 'alerts'. Value 'mempool_count_empty_6m' is not
                supported.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
      description: Asset alert not found.
    UriTooLong:
      description: Provided URI is too long. It must not be greater than 10000 symbols.
  schemas:
    AssetAlertRulesResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AssetAlertRuleInfo'
          type: array
      required:
        - data
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorObject'
      required:
        - error
      type: object
    AssetAlertRuleInfo:
      description: Information about the asset alert.
      properties:
        asset:
          $ref: '#/components/schemas/AssetId'
        name:
          $ref: '#/components/schemas/AssetAlertRuleName'
        conditions:
          $ref: '#/components/schemas/AssetAlertSubRules'
      type: object
      required:
        - asset
        - name
        - conditions
    ErrorObject:
      properties:
        type:
          description: Error type string. Can be used for error identification.
          type: string
        message:
          description: >-
            Human-friendly error description. Can be amended without prior
            notification. Do not use for error identification in your code.
          type: string
      required:
        - type
        - description
      type: object
    AssetId:
      description: Unique name of the asset.
      type: string
    AssetAlertRuleName:
      description: Name of the asset alert.
      type: string
    AssetAlertSubRules:
      description: >-
        Conditions that should be met in order for the corresponding asset alert
        to be produced.
      items:
        $ref: '#/components/schemas/AssetAlertSubRule'
      type: array
    AssetAlertSubRule:
      description: Information about the asset alert condition.
      properties:
        description:
          $ref: '#/components/schemas/AssetAlertSubRuleDescription'
        threshold:
          $ref: '#/components/schemas/AssetAlertSubRuleThreshold'
        constituents:
          $ref: '#/components/schemas/AssetAlertSubRuleConstituents'
      type: object
      required:
        - description
        - constituents
    AssetAlertSubRuleDescription:
      description: Description of the asset alert.
      type: string
    AssetAlertSubRuleThreshold:
      description: >-
        Asset alert's Key Risk Indicator triggering value. Omitted if asset
        alert condition depends on the variable metric threshold (this fact will
        be reflected in the condition description).
      type: string
    AssetAlertSubRuleConstituents:
      description: >-
        Names of the alerting metrics that form an alerting value to be compared
        against the Key Risk Indicator threshold.
      items:
        $ref: '#/components/schemas/AssetAlertSubRuleConstituent'
      type: array
    AssetAlertSubRuleConstituent:
      description: Name of the alerting metric.
      type: string
  securitySchemes:
    api_key:
      description: Coin Metrics API key can be specified as `?api_key=` query parameter.
      in: query
      name: api_key
      type: apiKey

````